# output utilities

tp() {
	tput "$@"
}

note() {
	echo "$(tp bold)$(tp setaf 11)OCCHIO: $(tp sgr0)$(tp setaf 11)$*$(tp sgr0)"
}
error() {
	echo "$(tp bold)$(tp setaf 1)$*$(tp sgr0)" >&2
}

progress() {
	echo "[$(tp setaf 3)DOING$(tp sgr0)] $(tp sgr0)$*"
}

ok() {
	echo "[$(tp bold)$(tp setaf 2)DONE$(tp sgr0)] $(tp sgr0)$*"
}
